#错误消息
not.null=* Required field
common.not.null={0} cannot be empty
user.jcaptcha.error=Invalid jCaptcha
user.jcaptcha.expire=jCaptcha has expired
user.not.exists=User does not exist/Incorrect password
user.password.not.match=User does not exist/Incorrect password
user.password.retry.limit.count=Password entered incorrectly {0} times
user.password.retry.limit.exceed=Password entered incorrectly {0} times. Account locked for {1} minutes
user.password.delete=Your account has been deleted
user.blocked=User is blocked. Please contact the administrator
role.blocked=Role is blocked. Please contact the administrator
login.blocked=Access denied: Your IP has been blacklisted
user.logout.success=Logout successful
length.not.valid=Length must be between {min} and {max} characters
user.username.not.valid=* 2-20 Chinese characters, letters, numbers, or underscores, and must start with a non-digit
user.password.not.valid=* 5-50 characters
user.email.not.valid=Invalid email format
user.mobile.phone.number.not.valid=Invalid phone number format
user.login.success=Login successful
user.register.success=Registration successful
user.notfound=Please log in again
user.forcelogout=Forced logout by administrator. Please log in again
user.unknown.error=Unknown error. Please log in again
##文件上传消息
upload.exceed.maxSize=Uploaded file exceeds maximum size limit!<br/>Maximum allowed size: {0}MB!
upload.filename.exceed.length=Filename exceeds maximum length of {0} characters
##权限
no.permission=You do not have data permissions. Contact administrator to add permissions [{0}]
no.create.permission=You do not have permission to create data. Contact administrator to add permissions [{0}]
no.update.permission=You do not have permission to modify data. Contact administrator to add permissions [{0}]
no.delete.permission=You do not have permission to delete data. Contact administrator to add permissions [{0}]
no.export.permission=You do not have permission to export data. Contact administrator to add permissions [{0}]
no.view.permission=You do not have permission to view data. Contact administrator to add permissions [{0}]
##cons
cons.unit.modify.not.self=Failed to modify the construction unit {0}. The upper construction unit cannot be yourself.
cons.unit.delete.no.child=There are lower-level construction units and deletion is not allowed.
cons.unit.has.no.hole=The construction unit has a designed pile hole, which cannot be deleted.
machine.auth.param.error=SN, NO, and PWD cannot be empty.
machine.auth.param.none=Authentication failed, please check the parameters.
